#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
import math
import codecs, locale

ENC_LOCALE = locale.getpreferredencoding()

sys.stdout = codecs.getwriter(ENC_LOCALE)(sys.stdout, errors='replace')
sys.stderr = codecs.getwriter(ENC_LOCALE)(sys.stderr, errors='replace')

write = sys.stdout.write

def error(msg):
    sys.exit(msg)

def filter_(n):
    return n / 2

def usage():
    error('8to7 <in> <out>')

def main():
    if len(sys.argv) != 3: usage()
    with open(sys.argv[1], 'rb') as in_:
        buf = in_.read()
    buf = ''.join(map(lambda x: chr(filter_(ord(x))), buf))
    with open(sys.argv[2], 'wb') as out:
        out.write(buf)

if __name__ == '__main__': main()
