CART_PRG_COUNT		= 2
CART_CHR_COUNT		= 1
CART_MIRROR_VERT	= 0
CART_SRAM		= 0
CART_MIRROR_FOUR	= 0
CART_MAPPER		= 0
.include	"tao_nes.inc"

.segment	"CHR"
	.incbin	"nespcm.chr"

.zeropage


.segment	"RAM"


.segment	"PRG_LO"
	.incbin	"dat.pcm"

.segment	"PRG_HI"

.proc	RESET
	sei
	cld

	ldx	#APU_FRAME_NOIRQ
	stx	APU_FRAME

	ldx	#$FF
	txs

	inx
	stx	PPU_CTRL
	stx	PPU_MASK
	stx	APU_DMC_FREQ

	PPU_WAIT_VBL
	PPU_WAIT_VBL

play:
	lda	#$00
	sta	$00
	lda	#$80
	sta	$01
	ldx	#$40
	ldy	#$00
sample:	lda	($00),y	; 5clk
	sta	APU_DMC_RAW	; 4clk
	tya		; 2clk
	pha		; 3clk
	ldy	#28	; 2clk
wait:	nop		; 2clk
	dey		; 2clk
	bne	wait	; 3clk (if taken)
	pla		; 4clk
	tay		; 2clk
	iny		; 2clk
	bne	sample	; 3clk (if taken)
	inc	$01
	dex
	bne	sample

	jmp	play

loop:	jmp	loop
.endproc

.proc	NMI
	rti
.endproc

.proc	IRQ
	rti
.endproc
